Skip to content
Open app

publishes.reject

POST /api/v1/publishes/{id}/reject. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the publish.approve permission on the…

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/publishesreject.mdtext/markdown
POST
/api/v1/publishes/{id}/reject
Code sample: Shell / cURL
curl --request POST \
--url https://app.intraface.cc/api/v1/publishes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "reason": "example" }'

An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the publish.approve permission on the board. Body limit: 256 KB.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
reason
string
<= 500 characters

Example generated

{
"reason": "example"
}

Success.

Media typeapplication/json
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
board_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
author_id
required
string
/^user_[A-Za-z0-9]+$/
agent
required
string
base_n
required
integer
<= 9007199254740991
message
required
string
state
required
string
Allowed values: proposed published needs_rebase rejected
result_n
required
Any of:
integer
> 0 <= 9007199254740991
error
required
Any of:
object
code
required
string
Allowed values: bad_request unauthorized forbidden not_found conflict needs_rebase too_large missing_blob missing_asset external_media bad_manifest too_many_new_blobs bad_base rate_limited retry not_implemented upgrade_required unsupported_media_type authorization_pending slow_down expired_token access_denied taken_down blocked_content internal
message
required
string
hint
string
details
created_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/

Example

{
"state": "proposed",
"error": {
"code": "bad_request"
}
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}